﻿<%@ page language="VB" autoeventwireup="false" inherits="Admin_Destinations, KartrisCompiled" masterpagefile="~/MasterPages/Admin.master" enableEventValidation="false" viewStateEncryptionMode="Always" %>

<asp:Content ID="cntHead" ContentPlaceHolderID="phdHead" runat="Server">
</asp:Content>
<asp:Content ID="cntMain" ContentPlaceHolderID="phdMain" runat="Server">
    <h1>
        <asp:Literal ID="litPageTitleSippingDestinationCountries" runat="server" Text="<%$ Resources: _Shipping, PageTitle_ShippingDestinationCountries %>" /></h1>
        <asp:UpdatePanel ID="updDefaultCountry" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <hr />
                <p><asp:Literal ID="litDefaultDesc" runat="server"></asp:Literal> </p>
                <span class="Kartris-DetailsView-Name">
                     <asp:Label ID="lblCountry" runat="server" Text="defaultcountry" EnableViewState="false"
                            AssociatedControlID="ddlCountry" CssClass="requiredfield" />
                </span>
                <span class="Kartris-DetailsView-Value">
                    <asp:ObjectDataSource ID="KartrisCountryList" runat="server" TypeName="Kartris.Country"
                        SelectMethod="GetAll" EnableCaching="true" CacheDuration="30" >
                        <SelectParameters>
                            <asp:SessionParameter SessionField="_lang" DbType="Int16" Name="LanguageID" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                    <asp:DropDownList runat="server" ID="ddlCountry" DataSourceID="KartrisCountryList"
                        DataTextField="Name" DataValueField="CountryId" AppendDataBoundItems="true" EnableViewState="true">
                        <asp:ListItem Text="<%$ Resources: Kartris, ContentText_DropdownSelectDefault %>" Value="0" />
                    </asp:DropDownList>
                    <asp:Button CssClass="button" runat="server" ID="btnUpdate" Text="<%$ Resources: _Kartris, FormButton_Update %>"></asp:Button>
                </span>
                <hr />
            </ContentTemplate>
        </asp:UpdatePanel>                        
    <_user:ZoneDestinations ID="_UC_ZoneDestinations" runat="server" />
</asp:Content>
