﻿<%@ page language="VB" masterpagefile="~/MasterPages/Kartris.master" autoeventwireup="false" inherits="Wishlist, KartrisCompiled" enableEventValidation="false" viewStateEncryptionMode="Always" %>

<asp:Content ID="cntMain" ContentPlaceHolderID="cntMain" runat="Server">
    <div id="page_wishlist">
        <asp:UpdatePanel ID="updWishlist" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <user:PopupMessage ID="popMessage" runat="server" />
                <div class="breadcrumbtrail">
                    <asp:SiteMapPath ID="smpTrail2" PathSeparator="<% $Resources: Kartris, ContentText_BreadcrumbSeparator %>" runat="server" SiteMapProvider="BreadCrumbSiteMap" />
                </div>
                <h1>
                    <asp:Literal ID="litTitle" runat="server" Text='<%$ Resources: Kartris, PageTitle_WishListLogin %>' /></h1>
                <asp:Panel ID="pnlLogin" runat="server" DefaultButton ="lnkWistListLogin">
                    <h2>
                        <asp:Literal ID="litContentTextSeeFriendsWishList" runat="server" Text='<%$ Resources: Kartris, ContentText_SeeFriendsWishList %>' /></h2>
                    <p>
                        <asp:Literal ID="litContentText_SeeFriendsWishList2" runat="server" Text='<%$ Resources: Kartris, ContentText_SeeFriendsWishList2 %>' /></p>
                    <div class="inputform">
                        <div class="Kartris-DetailsView">
                            <div class="Kartris-DetailsView-Data">
                                <ul>
                                    <li><span class="Kartris-DetailsView-Name">
                                        <asp:Label ID="lblWishListEmail" runat="server" Text='<%$ Resources: Kartris, ContentText_WishListEmail %>'
                                            AssociatedControlID="txtWishListEmail" CssClass="requiredfield"></asp:Label></span>
                                        <span class="Kartris-DetailsView-Value">
                                            <asp:TextBox ID="txtWishListEmail" runat="server"></asp:TextBox>
                                            <asp:RequiredFieldValidator EnableClientScript="True" ID="valWishListEmail" runat="server"
                                                ControlToValidate="txtWishListEmail" ValidationGroup="Wishlist" CssClass="error"
                                                ForeColor="" Display="Dynamic" Text="<%$ Resources: Kartris, ContentText_RequiredField %>"></asp:RequiredFieldValidator></span></li>
                                    <li><span class="Kartris-DetailsView-Name">
                                        <asp:Label ID="lblPassword" runat="server" Text='<%$ Resources: Kartris, ContentText_WishListPassword %>'
                                            AssociatedControlID="txtPassword" CssClass="requiredfield"></asp:Label></span>
                                        <span class="Kartris-DetailsView-Value">
                                            <asp:TextBox MaxLength="200" ID="txtPassword" runat="server"></asp:TextBox>
                                            <asp:RequiredFieldValidator EnableClientScript="True" ID="valPassword" runat="server"
                                                ControlToValidate="txtPassword" ValidationGroup="Wishlist" CssClass="error" ForeColor=""
                                                Display="Dynamic" Text="<%$ Resources: Kartris, ContentText_RequiredField %>"></asp:RequiredFieldValidator></span></li>
                                </ul> 
                            </div>
                        </div>
                        <div class="submitbuttons">
                        <asp:Button OnCommand="WishListLogin_Click" ValidationGroup="Wishlist" CssClass="button"
                            ID="lnkWistListLogin" runat="server" Text='<%$ Resources: Login, FormButton_LogMeIn %>' /></div>
                    </div>
                </asp:Panel>
                <asp:Panel ID="pnlWishlist" runat="server">
                    <h2>
                        <asp:Literal ID="litPageTitleWishListFor" runat="server" Text='<%$ Resources: Kartris, PageTitle_WishListFor %>' />&nbsp;
                        <asp:Literal ID="litOwnerName" runat="server" /></h2>
                    <p>
                        <asp:Literal ID="litMessage" runat="server" />
                    </p>
                    <p>
                        <asp:Literal ID="litContentTextWishListForDesc" runat="server" Text='<%$ Resources: Kartris, ContentText_WishListForDesc %>' />
                    </p>
                    <asp:Repeater ID="rptWishList" runat="server">
                        <HeaderTemplate>
                            <table>
                                <tr>
                                    <th>
                                        <asp:Literal ID="litContentTextItem" runat="server" Text='<%$ Resources: Kartris, ContentText_Item %>' />
                                    </th>
                                    <th>
                                        <asp:Literal ID="litContentTextStatus" runat="server" Text='<%$ Resources: Kartris, ContentText_Status %>' />
                                    </th>
                                </tr>
                        </HeaderTemplate>
                        <ItemTemplate>
                            <tr>
                                <td>
                                    <a href='Product.aspx?ProductID=<%#Eval("V_ProductID")%>'><strong>
                                        <div id="divWishListName" runat="server">
                                        </div>
                                    </strong></a>
                                    <br />
                                    <asp:Literal ID="litVersionCode" runat="server" Text='<%#Eval("VersionCode")%>' />
                                </td>
                                <td>
                                    <asp:Literal ID="litRequired" runat="server" />
                                </td>
                            </tr>
                        </ItemTemplate>
                        <FooterTemplate>
                            </table>
                        </FooterTemplate>
                    </asp:Repeater>
                    <asp:PlaceHolder ID="phdLogout" runat="server">
                        <p>
                            <asp:Literal ID="litContentTextToLogOutOfWishList" runat="server" Text='<%$ Resources: Kartris, ContentText_ToLogOutOfWishList %>' />&nbsp;
                            <asp:LinkButton ID="lnkLogout" runat="server" Text='<%$ Resources: Kartris, ContentText_WishListClickHere %>'
                                OnClick="Logout_Click" />
                        </p>
                    </asp:PlaceHolder>
                </asp:Panel>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
</asp:Content>
